#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "ofxVectorMath.h"
#include "particle.h"
#include "vectorField.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		int nearestCrumb(particle p);
		
		// let's make a vector of them
		vector <particle> particles;
		vector <ofPoint> crumbs;
		vectorField VF;
		ofImage	picture;
		ofImage picture2;
		int drawingStyle;
		bool bFade;
	
};

#endif
	
